import { FrontOfficeMetadata } from "./frontOfficeMetadata";

export const FoMetadataFileName = "ticket.metadata";
export const FoDataFileName = "data.tsd";
export const FoDocumentLayoutFileName = "documentLayout.jld";

export async function parseFrontOfficeMetadata(location: ILocation): Promise<FrontOfficeMetadata> {
    const file = location.getLocationType() === "Directory" ? (location as IDirectory).getFile(FoMetadataFileName) : (location as IFile);
    const metadata = await file.read();
    return JSON.parse(metadata);
}

export function getFoDataFileNames(dataPath: string): [dataFileName: string, documentLayoutFileName: string] {
    return [`${dataPath}/${FoDataFileName}`, `${dataPath}/${FoDocumentLayoutFileName}`];
}
